Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class ResponseGeneralType

    java.lang.Object
      nz.co.cks.tms.xml.ResponseGeneralType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ResponseGeneral

public abstract class ResponseGeneralType
extends java.lang.Object
implements java.io.Serializable

Class ResponseGeneralType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `_actionString` Field _actionString
`private java.lang.String` | `_code` Field _code
`private java.lang.String` | `_description` Field _description
`private java.util.Date` | `_responseDateTime` Field _responseDateTime
`private java.util.Date` | `_responseExpiryDateTime` Field _responseExpiryDateTime

Constructor Summary
`ResponseGeneralType()`

Method Summary
`java.lang.String` | `getActionString()` Method getActionStringReturns the value of field 'actionString'.
`java.lang.String` | `getCode()` Method getCodeReturns the value of field 'code'.
`java.lang.String` | `getDescription()` Method getDescriptionReturns the value of field 'description'.
`java.util.Date` | `getResponseDateTime()` Method getResponseDateTimeReturns the value of field 'responseDateTime'.
`java.util.Date` | `getResponseExpiryDateTime()` Method getResponseExpiryDateTimeReturns the value of field 'responseExpiryDateTime'.
`boolean` | `isValid()` Method isValid
`void` | `setActionString(java.lang.String actionString)` Method setActionStringSets the value of field 'actionString'.
`void` | `setCode(java.lang.String code)` Method setCodeSets the value of field 'code'.
`void` | `setDescription(java.lang.String description)` Method setDescriptionSets the value of field 'description'.
`void` | `setResponseDateTime(java.util.Date responseDateTime)` Method setResponseDateTimeSets the value of field 'responseDateTime'.
`void` | `setResponseExpiryDateTime(java.util.Date responseExpiryDateTime)` Method setResponseExpiryDateTimeSets the value of field 'responseExpiryDateTime'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _actionString

    private java.lang.String _actionString

  Field _actionString

### _code

    private java.lang.String _code

  Field _code

### _description

    private java.lang.String _description

  Field _description

### _responseDateTime

    private java.util.Date _responseDateTime

  Field _responseDateTime

### _responseExpiryDateTime

    private java.util.Date _responseExpiryDateTime

  Field _responseExpiryDateTime

Constructor Detail

### ResponseGeneralType

    public ResponseGeneralType()

Method Detail

### getActionString

    public java.lang.String getActionString()

  Method getActionStringReturns the value of field 'actionString'.

  Returns:
    the value of field 'actionString'.

### getCode

    public java.lang.String getCode()

  Method getCodeReturns the value of field 'code'.

  Returns:
    the value of field 'code'.

### getDescription

    public java.lang.String getDescription()

  Method getDescriptionReturns the value of field 'description'.

  Returns:
    the value of field 'description'.

### getResponseDateTime

    public java.util.Date getResponseDateTime()

  Method getResponseDateTimeReturns the value of field 'responseDateTime'.

  Returns:
    the value of field 'responseDateTime'.

### getResponseExpiryDateTime

    public java.util.Date getResponseExpiryDateTime()

  Method getResponseExpiryDateTimeReturns the value of field 'responseExpiryDateTime'.

  Returns:
    the value of field 'responseExpiryDateTime'.

### isValid

    public boolean isValid()

  Method isValid

### setActionString

    public void setActionString(java.lang.String actionString)

  Method setActionStringSets the value of field 'actionString'.

  Parameters:
    `actionString` - the value of field 'actionString'.

### setCode

    public void setCode(java.lang.String code)

  Method setCodeSets the value of field 'code'.

  Parameters:
    `code` - the value of field 'code'.

### setDescription

    public void setDescription(java.lang.String description)

  Method setDescriptionSets the value of field 'description'.

  Parameters:
    `description` - the value of field 'description'.

### setResponseDateTime

    public void setResponseDateTime(java.util.Date responseDateTime)

  Method setResponseDateTimeSets the value of field 'responseDateTime'.

  Parameters:
    `responseDateTime` - the value of field 'responseDateTime'

### setResponseExpiryDateTime

    public void setResponseExpiryDateTime(java.util.Date responseExpiryDateTime)

  Method setResponseExpiryDateTimeSets the value of field 'responseExpiryDateTime'.

  Parameters:
    `responseExpiryDateTime` - the value of field 'responseExpiryDateTime'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD